## org.eclipse.datatools.enablement.ase
Class SybaseASESQLUtil

    java.lang.Object
      org.eclipse.datatools.enablement.ase.SybaseASESQLUtil

All Implemented Interfaces:
  ISybaseASEDdlConstants, ISybaseDdlConstants, IGenericDdlConstants

    public class SybaseASESQLUtil

extends java.lang.Object
implements IGenericDdlConstants, ISybaseASEDdlConstants

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.IGenericDdlConstants

`ADD, AFTER, ALIAS, ALTER, AS, BEFORE, BLOB, CASCADE, CASCADED, CHECK, CLOB, COMMA, COMPARISONS, CONSTRAINT, CREATE, DATALINK, DBCLOB, DEFAULT, DEFERRABLE, DEFERRED, DELETE, DOT, DOUBLE_QUOTE, DROP, EACH, EMPTY_STRING, FOR, FOREIGN_KEY, FUNCTION, INDEX, INITIALLY, INSERT, INSTEAD_OF, LEFT_PARENTHESIS, LOCAL, LONG, MODIFY, NEW, NEW_TABLE, NEWLINE, NO, NOT, NULL, OF, OLD, OLD_TABLE, ON, OPTION, PRIMARY_KEY, PROCEDURE, REFERENCES, REFERENCING, RENAME, RESTRICT, RIGHT_PARENTHESIS, ROW, SET, SINGLE_QUOTE, SPACE, STATEMENT, TAB, TABLE, TRIGGER, TYPE, UNIQUE, UPDATE, VARCHAR, VARGRAPHIC, VIEW, WHEN, WITH`

Fields inherited from interface org.eclipse.datatools.enablement.ase.ISybaseASEDdlConstants

`ACCESS, ACCESSRULE, ALL, ALLOW_DUPLICATE_ROW, ALLPAGES, AND, BY, COLUMN_DELIMITER, CONCURRENCY_OPT_THRESHOLD, CONSUMERS, DATABASE_OWNER, DATAPAGES, DATAROWS, DEFAULT_LOCATION, DISABLE, ENABLE, EXEC, EXISTING, EXP_ROW_SIZE, FILLFACTOR, FUTUREONLY, HASH, IDENTITY, IDENTITY_GAP, IGNORE_DUPLICATE_KEY, IGNORE_DUPLICATE_ROW, LESSEQUAL, LIST, LOAD, LOCAL_INDEX, LOCK, master, MATCHFULL, MATERIALIZED, MAX_ROWS_PER_PAGE, MODIFIES_SQL_DATA, MODIFY, MRU, OFF, OR, OVERRIDE, PARTITION, PREFETCH, PROXY_UPDATE, RANGE, REPLACE, RESERVEPAGEGAP, ROUNDROBIN, RULE, SETUSER, SORTED_DATA, SP_ADDGROUP, SP_ADDOBJECTDEF, SP_ADDSEGMENT, SP_ADDTYPE, SP_ADDUSER, SP_BINDCACHE, SP_BINDEFAULT, SP_BINDRULE, SP_CACHESTRATEGY, SP_CHANGEGROUP, SP_CHGATTRIBUTE, SP_DROPGROUP, SP_DROPOBJECTDEF, SP_DROPSEGMENT, SP_DROPTYPE, SP_DROPUSER, SP_EXTENDSEGMENT, SP_PLACEOBJECT, SP_RENAME, SP_UNBINDEFAULT, SP_UNBINDRULE, SP_WEBSERVICES, STATISTICS_USING, TABLE_ONLY, TEXT_ONLY, USE, VALUES`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.ddl.ISybaseDdlConstants

`ALTER_PRIVILEGE, ASC, AT, BEGIN, CAST, CHECKOPTION, CLUSTERED, COLUMN, COMMENT, COMMIT, DATABASE, DELETE_PRIVILEGE, DESC, END, END_IF, EQUAL, EVENT, EXEC_PRIVILEGE, EXISTS, EXTERNAL, EXTERNAL_NAME, FILE, FROM, GO, GO_FOR, GRANT, IF, IN, INOUT, INSERT_PRIVILEGE, IS, JAVA, LOCATOR, LOG, MESSAGE, NONCLUSTERED, OUT, OUTPUT, REFERENCE_PRIVILEGE, REFERENCES_PRIVILEGE, REMOVE, REVOKE, SELECT_PRIVILEGE, SEMICOLUMN, THEN, TO, UPDATE_PRIVILEGE, WITH_GRANT_OPTION, WITH_RECOMPILE`

Constructor Summary
`SybaseASESQLUtil()`

Method Summary
`static Catalog` `getContainedCatalog(org.eclipse.emf.ecore.EObject obj)`
`static Schema` `getContainedSchema(org.eclipse.emf.ecore.EObject obj)`
`static java.lang.String` `getSetNewUserStatement(Schema schema)` Returns the statement to impersonate another user.
`static java.lang.String` `getSetUserDBOStatement(Schema schema)` Restore user
`static java.lang.String` `getUseDbStatement(Catalog catalog, org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASESQLUtil

    public SybaseASESQLUtil()

Method Detail

### getContainedCatalog

    public static Catalog getContainedCatalog(org.eclipse.emf.ecore.EObject obj)

### getContainedSchema

    public static Schema getContainedSchema(org.eclipse.emf.ecore.EObject obj)

### getUseDbStatement

    public static java.lang.String getUseDbStatement(Catalog catalog,
                                                     org.eclipse.datatools.sqltools.core.DatabaseIdentifier dbId)

### getSetNewUserStatement

    public static java.lang.String getSetNewUserStatement(Schema schema)

  Returns the statement to impersonate another user. Used when system procedure is used for objects in another schema. e.g. sp_rename

  Parameters:
    `schema` -
  Returns:

### getSetUserDBOStatement

    public static java.lang.String getSetUserDBOStatement(Schema schema)

  Restore user

  Parameters:
    `schema` - TODO
  Returns: